import request from '@/utils/request'

// 查询称重校正列表
export function listWeightCorrection(query) {
  return request({
    url: '/weightCorrection/weightCorrection/list',
    method: 'get',
    params: query
  })
}

// 查询称重校正详细
export function getWeightCorrection(id) {
  return request({
    url: '/weightCorrection/weightCorrection/' + id,
    method: 'get'
  })
}

// 新增称重校正
export function addWeightCorrection(data) {
  return request({
    url: '/weightCorrection/weightCorrection',
    method: 'post',
    data: data
  })
}

// 修改称重校正
export function updateWeightCorrection(data) {
  return request({
    url: '/weightCorrection/weightCorrection',
    method: 'put',
    data: data
  })
}

// 删除称重校正
export function delWeightCorrection(id) {
  return request({
    url: '/weightCorrection/weightCorrection/' + id,
    method: 'delete'
  })
}
